# Uses of Class
com.ngrok.definitions.EndpointOAuthFacebook

Packages that use EndpointOAuthFacebook
Package
Description
com.ngrok.definitions

- ## Uses of EndpointOAuthFacebook in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointOAuthFacebook
  Modifier and Type
  Method
  Description
  `EndpointOAuthFacebook`
  EndpointOAuthFacebook.Builder.`build()`
  Constructs the `EndpointOAuthFacebook` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointOAuthFacebook
  Modifier and Type
  Method
  Description
  `Optional<EndpointOAuthFacebook>`
  EndpointOAuthProvider.`getFacebook()`
  configuration for using facebook as the identity provider
  Methods in com.ngrok.definitions with parameters of type EndpointOAuthFacebook
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider.Builder`
  EndpointOAuthProvider.Builder.`facebook(EndpointOAuthFacebook facebook)`
  configuration for using facebook as the identity provider
  Method parameters in com.ngrok.definitions with type arguments of type EndpointOAuthFacebook
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider.Builder`
  EndpointOAuthProvider.Builder.`facebook(Optional<EndpointOAuthFacebook> facebook)`
  configuration for using facebook as the identity provider